Announcement

Collapse
No announcement yet.

"Current locale" is not US-ASCII

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • "Current locale" is not US-ASCII

    Actually... where did UTF-8 go? I can't find it in the locale menu.

    Is this a "trial period expired" thing? (no, it isn't, I was meaning to upgrade my license anyway..)

    For reference, here's the output of

    env | grep UTF

    LC_MESSAGES=en_GB.UTF-8
    LC_COLLATE=en_GB.UTF-8
    LANG=en_GB.UTF-8
    LC_CTYPE=en_GB.UTF-8

    ..as with most modern Linux distros, my locale is UTF-8
    Last edited by dr_barnowl; 25-Jul-2014, 06:22 AM. Reason: Extra detail

  • #2
    Lack of UTF-8 support is actually a serious problem ; I may be from GB but I have a number of data files that include multibyte characters that I need to work on.

    This might be the latest thing that makes me "downgrade" to BC3 for a while again.... which is a shame since you can't concurrently install on Linux.

    Comment


    • #3
      BC 4.0.0.18564
      Ubuntu 12.04.4

      I don't have UTF-8 my BC locale menu either. Here's a screen shot:
      Last edited by Dave_L; 25-Jul-2014, 03:04 PM. Reason: clarified

      Comment


      • #4
        Thanks for reporting the issue. I've repeated the problem and I will add it to our bug list to be fixed.
        Chris K Scooter Software

        Comment

        Working...
        X